Page MenuHomePhabricator

DataBridgePage.bridge.isDisplayed() test failure
Closed, ResolvedPublic

Description

Seen on https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/595612/ in https://integration.wikimedia.org/ci/job/wmf-quibble-selenium-php72-docker/37612/console

20:06:15 [chrome 73.0.3683.75 Linux #0-5] 1) once app is launched shows the current targetReference
20:06:15 [chrome 73.0.3683.75 Linux #0-5] The expression evaluated to a falsy value:
20:06:15 
20:06:15   assert.ok( DataBridgePage.bridge.isDisplayed() )
20:06:15 
20:06:15 [chrome 73.0.3683.75 Linux #0-5] AssertionError [ERR_ASSERTION]: The expression evaluated to a falsy value:
20:06:15 [chrome 73.0.3683.75 Linux #0-5]
20:06:15 [chrome 73.0.3683.75 Linux #0-5]   assert.ok( DataBridgePage.bridge.isDisplayed() )
20:06:15 [chrome 73.0.3683.75 Linux #0-5]
20:06:15 [chrome 73.0.3683.75 Linux #0-5]     at Context.it (/workspace/src/extensions/Wikibase/client/data-bridge/tests/selenium/specs/init.js:174:11)

Event Timeline

Reedy created this task.May 11 2020, 7:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2020, 7:28 PM
Reedy triaged this task as High priority.May 12 2020, 1:29 AM
Reedy raised the priority of this task from High to Unbreak Now!.May 12 2020, 2:06 AM

Marking it UBN, it's causing failures on many different extensions etc

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMay 12 2020, 2:06 AM

There is the tiniest logical gap between the _app_ being opened and an assertion for _bridge_'s display status. This is true for more than this test. I started a patch to re-organize the opening/waiting some time ago but never followed through. Maybe we can move into that direction and, in the process, swap the waiting for what we actually are interested in (in most cases) - bridge's readiness as compared to app's.

(The screenshot looks good but the margins are probably so small that the visual state is much different once the screen capture happens and this is leading us in the wrong direction).

Change 595874 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: selenium: add missing waitForDisplayed

https://gerrit.wikimedia.org/r/595874

Change 595874 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: selenium: add missing waitForDisplayed

https://gerrit.wikimedia.org/r/595874

We merged a patch which should address this. Leaving this open for a bit to see if more occurrences are reported...

Lucas_Werkmeister_WMDE lowered the priority of this task from Unbreak Now! to High.May 12 2020, 11:38 AM
Lucas_Werkmeister_WMDE closed this task as Resolved.May 18 2020, 5:42 PM

No further reports in almost a week, let’s close this I guess. (If anyone sees it feel free to reopen, or create a new task.)